/*

   Copyright 2010, 2011 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package lf.app.nqueens; 

import cf.api.CyberApplication;
import lf.api.Fact;
import lf.api.FactFactory;
import lf.api.FactType;
import lf.app.nqueens.FactKnowledge;

public class CPSFactFactory implements FactFactory
{
  	public Fact getFact(CyberApplication creator, String tr)
  	{
    	return new FactKnowledge(creator, tr);
  	}

  	public Fact getFact(CyberApplication creator, String tr, FactType type)
  	{
    	return new FactKnowledge(creator, tr, type);
  	}
}
