queen_doesnt_hit(Col,Row_dist,[A_queen_col|Other_queens]) :- 
        Row_dist1 is Row_dist + 1,
        queen_doesnt_hit(Col,Row_dist1,Other_queens),
        Diag_hit_col1 is Col + Row_dist, A_queen_col \== Diag_hit_col1,
        Diag_hit_col2 is Col - Row_dist, A_queen_col \== Diag_hit_col2.

safe_position([A_queen|Other_queens]) :-
    queen_doesnt_hit(A_queen,1,Other_queens),
    safe_position(Other_queens).

safe_layout(Layout,Layout1) :-
    permute(Layout,Layout1), safe_position(Layout1).

delete(X, [X|T], T).

delete(X, [H|T], [H|S]):- delete(X, T, S).

permute([], []).

permute([H|T], R):- permute(T, X), delete(H, R, X).

